export ILCSOFT=/proj/cdc/soft/MarlinTPC/v02-00

#--
#
#--
export LD_LIBRARY_PATH=$ILCSOFT/Marlin/v01-16/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$ILCSOFT/RAIDA/v01-09/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$ILCSOFT/gear/v01-08/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$ILCSOFT/lccd/v01-05/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$ILCSOFT/MarlinTrk/v02-07/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$ILCSOFT/KalDet/v01-14-01/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$ILCSOFT/MarlinKinfit/v00-06/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$ILCSOFT/KiTrack/v01-09/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$ILCSOFT/KiTrackMarlin/v01-12/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/proj/cdc/soft/MarlinTPC/ilcutil/v01-05/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/proj/cdc/soft/MarlinTPC/CondDBMySQL/CondDBMySQL_ILC-0-9-6/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/proj/cdc/soft/MarlinTPC/CED/v01-09-02/lib:$LD_LIBRARY_PATH

# -------------------------------------------------------------------- ---

# ---  Use the same compiler and python as used for the installation   ---

# -------------------------------------------------------------------- ---
export PATH=/opt/osxws/bin:/usr/bin:${PATH}
export LD_LIBRARY_PATH=/opt/osxws/lib64:/opt/osxws/lib:/usr/lib:${LD_LIBRARY_PATH}

export CXX=g++
export CC=gcc


#--------------------------------------------------------------------------------
#     LCCD
#--------------------------------------------------------------------------------
export LCCD="/proj/cdc/soft/MarlinTPC/v02-00/lccd/v01-05"


#--------------------------------------------------------------------------------
#     CondDBMySQL
#--------------------------------------------------------------------------------
export COND_DB_DEBUGLOG="/dev/stdout"
export CondDBMySQL="/proj/cdc/soft/MarlinTPC/v02-00/CondDBMySQL/CondDBMySQL_ILC-0-9-6"
export LD_LIBRARY_PATH="$CondDBMySQL/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     LCIO
#--------------------------------------------------------------------------------
export LCIO="/proj/cdc/soft/MarlinTPC/v02-00/lcio/v02-12-0"
export PYTHONPATH="$LCIO/python:$LCIO/python/examples:$PYTHONPATH"
export PATH="$LCIO/tools:$LCIO/bin:$PATH"
export LD_LIBRARY_PATH="$LCIO/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     ROOT
#--------------------------------------------------------------------------------
export ROOTSYS="/opt/root/6.13.02"
export PYTHONPATH="$ROOTSYS/lib:$PYTHONPATH"
export PATH="$ROOTSYS/bin:$PATH"
export LD_LIBRARY_PATH="$ROOTSYS/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     Marlin
#--------------------------------------------------------------------------------
export MARLIN="/proj/cdc/soft/MarlinTPC/v02-00/Marlin/v01-16"
export PATH="$MARLIN/bin:$PATH"
export MARLIN_DLL="/proj/cdc/soft/MarlinTPC/v02-00/MarlinDD4hep/v00-06/lib/libMarlinDD4hep.dylib:/proj/cdc/soft/MarlinTPC/v02-00/CEDViewer/v01-15/lib/libCEDViewer.dylib:/proj/cdc/soft/MarlinTPC/v02-00/LCTuple/v01-11/lib/libLCTuple.dylib:/proj/cdc/soft/MarlinTPC/v02-00/MarlinTrkProcessors/v02-10/lib/libMarlinTrkProcessors.dylib:/proj/cdc/soft/MarlinTPC/v02-00/ConformalTracking/v01-07/lib/libConformalTracking.dylib:/proj/cdc/soft/MarlinTPC/v02-00/MarlinTPC/v01-04/lib/libMarlinTPC.dylib:$MARLIN_DLL"


#--------------------------------------------------------------------------------
#     CLHEP
#--------------------------------------------------------------------------------
export CLHEP="/opt/clhep/2.4.0.4"
export CLHEP_BASE_DIR="$CLHEP"
export CLHEP_INCLUDE_DIR="$CLHEP/include"
export PATH="$CLHEP_BASE_DIR/bin:$PATH"
export LD_LIBRARY_PATH="$CLHEP_BASE_DIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     RAIDA
#--------------------------------------------------------------------------------
export RAIDA_HOME="/proj/cdc/soft/MarlinTPC/v02-00/RAIDA/v01-09"
export PATH="$RAIDA_HOME/bin:$PATH"


#--------------------------------------------------------------------------------
#     GEAR
#--------------------------------------------------------------------------------
export GEAR="/proj/cdc/soft/MarlinTPC/v02-00/gear/v01-08"
export PATH="$GEAR/tools:$GEAR/bin:$PATH"
export LD_LIBRARY_PATH="$GEAR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     DD4hep
#--------------------------------------------------------------------------------
export DD4hep_ROOT="/proj/cdc/soft/MarlinTPC/v02-00/DD4hep/v01-07"
export DD4hepINSTALL="/proj/cdc/soft/MarlinTPC/v02-00/DD4hep/v01-07"
export DD4HEP="/proj/cdc/soft/MarlinTPC/v02-00/DD4hep/v01-07"
export DD4hep_DIR="/proj/cdc/soft/MarlinTPC/v02-00/DD4hep/v01-07"
export PYTHONPATH="$DD4HEP/python:$DD4HEP/DDCore/python:$PYTHONPATH"
export PATH="$DD4HEP/bin:$PATH"
export LD_LIBRARY_PATH="$DD4HEP/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     Geant4
#--------------------------------------------------------------------------------
export G4INSTALL="/opt/g4/10.04.p01"
export G4ENV_INIT="$G4INSTALL/bin/geant4.sh"
export G4SYSTEM="Darwin-g++"


#--------------------------------------------------------------------------------
#     XercesC
#--------------------------------------------------------------------------------
export XercesC_HOME="/proj/cdc/soft/MarlinTPC/v02-00/xercesc/3.2.1"
export PATH="$XercesC_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$XercesC_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     Boost
#--------------------------------------------------------------------------------
export BOOST_ROOT="/opt/osxws"


#--------------------------------------------------------------------------------
#     KalTest
#--------------------------------------------------------------------------------
export KALTEST="/proj/cdc/soft/MarlinTPC/v02-00/KalTest/v02-04"
export LD_LIBRARY_PATH="$KALTEST/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     aidaTT
#--------------------------------------------------------------------------------
export AIDATT="/proj/cdc/soft/MarlinTPC/v02-00/aidaTT/v00-09"
export PATH="$AIDATT/bin:$PATH"
export LD_LIBRARY_PATH="$AIDATT/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     GSL
#--------------------------------------------------------------------------------
export GSL_HOME="/opt/osxws"
export PATH="$GSL_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$GSL_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     GBL
#--------------------------------------------------------------------------------
export GBL="/proj/cdc/soft/MarlinTPC/v02-00/GBL/V02-01-01"
export LD_LIBRARY_PATH="$GBL/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     MarlinUtil
#--------------------------------------------------------------------------------
export LD_LIBRARY_PATH="/proj/cdc/soft/MarlinTPC/v02-00/MarlinUtil/v01-15/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CED
#--------------------------------------------------------------------------------
export PATH="/proj/cdc/soft/MarlinTPC/v02-00/CED/v01-09-02/bin:$PATH"
export LD_LIBRARY_PATH="/proj/cdc/soft/MarlinTPC/v02-00/CED/v01-09-02/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     PandoraPFANew
#--------------------------------------------------------------------------------
export PANDORAPFANEW="/proj/cdc/soft/MarlinTPC/v02-00/PandoraPFANew/v03-09-00"
export LD_LIBRARY_PATH="$PANDORAPFANEW/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     PandoraAnalysis
#--------------------------------------------------------------------------------
export PANDORA_ANALYSIS_DIR="/proj/cdc/soft/MarlinTPC/v02-00/PandoraAnalysis/v02-00-00"
export PATH="$PANDORA_ANALYSIS_DIR/bin:$PATH"
export LD_LIBRARY_PATH="$PANDORA_ANALYSIS_DIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     LCFIVertex
#--------------------------------------------------------------------------------
export LD_LIBRARY_PATH="/proj/cdc/soft/MarlinTPC/v02-00/LCFIVertex/v00-07-04/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CEDViewer
#--------------------------------------------------------------------------------
export PATH="/proj/cdc/soft/MarlinTPC/v02-00/CEDViewer/v01-15/bin:$PATH"
export LD_LIBRARY_PATH="/proj/cdc/soft/MarlinTPC/v02-00/CEDViewer/v01-15/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     FastJet
#--------------------------------------------------------------------------------
export FastJet_HOME="/opt/fastjet/3.2.1"
export PATH="$FastJet_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$FastJet_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     MarlinTPC
#--------------------------------------------------------------------------------
export MARLINTPC="/proj/cdc/soft/MarlinTPC/v02-00/MarlinTPC/v01-04"
export PATH="$MARLINTPC/bin:$PATH"
export LD_LIBRARY_PATH="/proj/cdc/soft/MarlinTPC/v02-00/MarlinTPC/v01-04/lib:$LD_LIBRARY_PATH"
export LD_LIBRARY_PATH="/proj/cdc/soft/MarlinTPC/v02-00/MarlinTPC/v01-04/tpcconddata/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     lcgeo
#--------------------------------------------------------------------------------
export lcgeo_DIR="/proj/cdc/soft/MarlinTPC/v02-00/lcgeo/v00-16"
export PYTHONPATH="$lcgeo_DIR/lib/python:$PYTHONPATH"
export PATH="$lcgeo_DIR/bin:$PATH"
export LD_LIBRARY_PATH="$lcgeo_DIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     DD4hepExamples
#--------------------------------------------------------------------------------
export DD4hepExamples="/proj/cdc/soft/MarlinTPC/v02-00/DD4hepExamples/v01-07"
export PATH="$DD4hepExamples/bin:$PATH"
export LD_LIBRARY_PATH="$DD4hepExamples/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     MySQL
#--------------------------------------------------------------------------------
export MYSQL_HOME="/proj/cdc/soft/MarlinTPC/v02-00/mysql/osxws"
export MYSQL_LIBDIR="$MYSQL_HOME/lib/mysql"
export MYSQL_PATH="$MYSQL_HOME"
export MYSQL="$MYSQL_HOME"
export PATH="$MYSQL_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$MYSQL_HOME/lib64:$MYSQL_HOME/lib:$MYSQL_HOME/lib64/mysql:$MYSQL_HOME/lib/mysql:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CMake
#--------------------------------------------------------------------------------
export PATH="/opt/osxws/bin:$PATH"


#--------------------------------------------------------------------------------
#     ILCUTIL
#--------------------------------------------------------------------------------
export ilcutil="/proj/cdc/soft/MarlinTPC/v02-00/ilcutil/v01-05"
export LD_LIBRARY_PATH="$ilcutil/lib:$LD_LIBRARY_PATH"

# --- source GEANT4 INIT script ---
test -r ${G4ENV_INIT} && { cd $(dirname ${G4ENV_INIT}) ; . ./$(basename ${G4ENV_INIT}) ; cd $OLDPWD ; }

# --- set DYLD_LIBRARY_PATH to LD_LIBRARY_PATH for MAC compatibility ---
export DYLD_LIBRARY_PATH=$LD_LIBRARY_PATH:$DYLD_LIBRARY_PATH

